Skip to main content
GET
/
environments
/
{environment}
/
metrics
Get environment metrics
curl --request GET \
  --url https://cloud.laravel.com/api/environments/{environment}/metrics \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "cpu_usage": {
      "labels": [
        "<string>"
      ],
      "average": [
        123
      ],
      "data": [
        {
          "x": "<string>",
          "y": [
            123
          ]
        }
      ]
    },
    "memory_usage": {
      "labels": [
        "<string>"
      ],
      "average": [
        123
      ],
      "data": [
        {
          "x": "<string>",
          "y": [
            123
          ]
        }
      ]
    },
    "http_response_count": {
      "labels": [
        "<string>"
      ],
      "average": [
        123
      ],
      "data": [
        {
          "x": "<string>",
          "y": [
            123
          ]
        }
      ]
    },
    "replica_count": {
      "labels": [
        "<string>"
      ],
      "average": [
        123
      ],
      "data": [
        {
          "x": "<string>",
          "y": [
            123
          ]
        }
      ]
    },
    "web_workers_count": {
      "labels": [
        "<string>"
      ],
      "average": [
        123
      ],
      "data": [
        {
          "x": "<string>",
          "y": [
            123
          ]
        }
      ]
    }
  },
  "meta": {
    "period": "<string>",
    "available_periods": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

environment
string
required

The environment identifier

Query Parameters

period
enum<string>
Available options:
6h,
24h,
3d,
7d,
30d

Response

data
object
required
meta
object
required